Debian Bug report logs - #684933
dialog: Dialog assignes the same hotkey to all buttons

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Krasu <ksquirrel.iv@gmail.com>

Date: Tue, 14 Aug 2012 20:21:04 UTC

Severity: normal

Tags: fixed-upstream

Found in version dialog/1.1-20120215-2

Fixed in version dialog/1.2-20121230-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ksquirrel.iv@gmail.com, Santiago Vila <sanvila@debian.org>:
Bug#684933; Package dialog. (Tue, 14 Aug 2012 20:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Krasu <ksquirrel.iv@gmail.com>:
New Bug report received and forwarded. Copy sent to ksquirrel.iv@gmail.com, Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 20:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Krasu <ksquirrel.iv@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: Dialog assignes the same hotkey to all buttons
Date: Tue, 14 Aug 2012 23:19:24 +0300
Package: dialog
Version: 1.1-20120215-2
Severity: normal

Run

dialog --yes-label "ST1" --no-label "SK1" --help-button --help-label "SM1"
--yesno "Choose provider:" 0 0

All buttons will have "S" hotkey.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (20, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/6 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dialog depends on:
ii  debianutils   4.3.2
ii  libc6         2.13-33
ii  libncursesw5  5.9-10
ii  libtinfo5     5.9-10

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#684933; Package dialog. (Tue, 14 Aug 2012 21:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 21:36:14 GMT) Full text and rfc822 format available.

Message #10 received at 684933@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 684933-submitter@bugs.debian.org
Cc: Krasu <ksquirrel.iv@gmail.com>, 684933@bugs.debian.org
Subject: Re: Bug#684933: dialog: Dialog assignes the same hotkey to all buttons
Date: Tue, 14 Aug 2012 17:25:07 -0400
[Message part 1 (text/plain, inline)]
On Tue, Aug 14, 2012 at 04:56:45PM -0400, Thomas Dickey wrote:
> On Tue, Aug 14, 2012 at 11:19:24PM +0300, Krasu wrote:
> > Package: dialog
> > Version: 1.1-20120215-2
> > Severity: normal
> > 
> > Run
> > 
> > dialog --yes-label "ST1" --no-label "SK1" --help-button --help-label "SM1"
> > --yesno "Choose provider:" 0 0
> > 
> > All buttons will have "S" hotkey.
> 
> yes, that's according to design.  Repeating the hot-key cycles from
> one match to the next.

hmm - not for buttons though (I was thinking of menus).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#684933; Package dialog. (Tue, 14 Aug 2012 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 22:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 684933@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Krasu <ksquirrel.iv@gmail.com>, 684933@bugs.debian.org
Subject: Re: Bug#684933: dialog: Dialog assignes the same hotkey to all buttons
Date: Tue, 14 Aug 2012 16:56:45 -0400
[Message part 1 (text/plain, inline)]
On Tue, Aug 14, 2012 at 11:19:24PM +0300, Krasu wrote:
> Package: dialog
> Version: 1.1-20120215-2
> Severity: normal
> 
> Run
> 
> dialog --yes-label "ST1" --no-label "SK1" --help-button --help-label "SM1"
> --yesno "Choose provider:" 0 0
> 
> All buttons will have "S" hotkey.

yes, that's according to design.  Repeating the hot-key cycles from
one match to the next.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Krasu <ksquirrel.iv@gmail.com>:
Bug#684933. (Tue, 14 Aug 2012 22:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#684933; Package dialog. (Mon, 31 Dec 2012 01:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 31 Dec 2012 01:45:05 GMT) Full text and rfc822 format available.

Message #23 received at 684933@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 684933@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: #684933 dialog: Dialog assignes the same hotkey to all buttons
Date: Sun, 30 Dec 2012 20:42:48 -0500
[Message part 1 (text/plain, inline)]
tags 684933 fixed-upstream

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 31 Dec 2012 01:45:09 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Sun, 12 May 2013 17:06:14 GMT) Full text and rfc822 format available.

Notification sent to Krasu <ksquirrel.iv@gmail.com>:
Bug acknowledged by developer. (Sun, 12 May 2013 17:06:14 GMT) Full text and rfc822 format available.

Message #30 received at 684933-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 684933-close@bugs.debian.org
Subject: Bug#684933: fixed in dialog 1.2-20121230-1
Date: Sun, 12 May 2013 17:02:39 +0000
Source: dialog
Source-Version: 1.2-20121230-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684933@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 May 2013 18:10:00 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.2-20121230-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 663664 684933
Changes: 
 dialog (1.2-20121230-1) unstable; urgency=low
 .
   * New upstream release.
   * Dropped patches/01-fix-for-ubuntu-bug-333909. Applied upstream.
   * Dropped patches/99-config-guess-config-sub. Obsolete now.
   * Double-quoting is now more consistent. Closes: #663664.
   * The way "hotkeys" are assigned to widget buttons has been
     improved. Closes: #684933.
Checksums-Sha1: 
 8736876d44ab05be5f7f1343a9ff85b199ae2852 1423 dialog_1.2-20121230-1.dsc
 f6ba16481e04c707c7cbfc3c3c1340040bdb0aa3 431584 dialog_1.2-20121230.orig.tar.gz
 e6d2e3c2c7b33efbac1b566813d224c35faa676a 10874 dialog_1.2-20121230-1.debian.tar.gz
 4d2b95b7dc7cdb265c86935ca3fde240aa1b6ffc 357984 dialog_1.2-20121230-1_amd64.deb
Checksums-Sha256: 
 c2cfef0c11d458aaff7d37f64ba4691d4df195bd520f57ab1eb42f7452fa9cab 1423 dialog_1.2-20121230-1.dsc
 1fb4ea11ceba8f105c2c6b48186bf715d98a144a738653627d7bf2bd12e21034 431584 dialog_1.2-20121230.orig.tar.gz
 03dd5606d394ecf59c0c48b694dbc74560794ae382857354dd2be9aa4e17cdeb 10874 dialog_1.2-20121230-1.debian.tar.gz
 68db7a292d324db87d21d9192240baaa80ee96011f83e9c8fcf1d307d091dd37 357984 dialog_1.2-20121230-1_amd64.deb
Files: 
 9805393e2a602e650ec767545e8bf7b9 1423 misc optional dialog_1.2-20121230-1.dsc
 ef823b46a68d82c42620b42ffc0c04e7 431584 misc optional dialog_1.2-20121230.orig.tar.gz
 df84031c8f22e0a1ef8f98dc28bfc4fb 10874 misc optional dialog_1.2-20121230-1.debian.tar.gz
 c77505ed54fd249d0cfb6dc58f8c8411 357984 misc optional dialog_1.2-20121230-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRj8a+AAoJEEHOfwufG4syQ/sIAIp+9yKLdoA3SAHt3Vyc4uQv
fCrXhsuW+mDKkrcEniMjnrGbT8cKqKmiLxSsRCQkg1iJiNgHjPsakke61yfOJ61c
axtuqOq1CZJL2aveeiW8NduwERrZHyuApE0zQM30419WXY6TdkozzKkuDSLvs96i
m7oWvDxxneezb1jSMxYQYS93/wJLZQnLf3DzLr2vC9+gg2O0LCPqX7ttxXjKq0+C
5kk7TF2f/SAHOflBJw0IQSeHJDUd5nmExJDVGJMEMTRfgNzySYjhUJ0/22Fzxcdc
72SVZog78EEEK4+xAN5Jq23m9re7zWrBgjPfa5dO1FPWOaWRCpSlkp5s+f4bq9w=
=w7gW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Jun 2013 07:27:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:36:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.